///@desc Setup

/*
  Our explainer object is used in the second demo room to 
  set up all the other objects and handles drawing the sprites at various scales
*/

// Position of the toggle nineslice button
enableSliceButton = instance_create_layer(570, 140, layer, oUIButton);
enableSliceButton.clickAction = ClickActions.ca_enableNineSlice;
enableSliceButton.image_xscale = 1.75;
enableSliceButton.image_yscale = 0.5;
enableSliceButton.textScale = 0.4;
enableSliceButton.buttonText = "9-Slice OFF";

// Position of the unedited "reminder" sprite
explainerX = 860;
explainerY = 110;

// These are the buttons that control switching the tile mode
topEdit = instance_create_layer(1100, 75, layer, oHover);
topEdit.slice = nineslice_top;
leftEdit = instance_create_layer(1025, 150, layer, oHover);
leftEdit.slice = nineslice_left;
centerEdit = instance_create_layer(1100, 150, layer, oHover);
centerEdit.slice = nineslice_center;
rightEdit = instance_create_layer(1175, 150, layer, oHover);
rightEdit.slice = nineslice_right;
bottomEdit = instance_create_layer(1100, 225, layer, oHover);
bottomEdit.slice = nineslice_bottom;

// Values for the scaling sprite which will stretch and contract
stretchingSpriteMinXscale = 0.2;
stretchingSpriteMaxXscale = 7;
stretchingSpriteXscale = 1;
scaleChange = 0.02;


// Retrieve sUIBack's current nineslice data
nsData = sprite_get_nineslice(sUIBack);

/*
	sprite_get_nineslice() will return a struct which contains the following keys:
	tilemode: an array of the tilemodes for each slice
	left, right, top, bottom: slice poistions (integer), measured inwards from the corresponding edge
	enabled: boolean for if the sprite is currently using nineslice or not
		
	Note: if there is no current nineslice data for this sprite, then it gets 
	created now using default values, so you can use sprite_get_nineslice()
	on sprites you already know do NOT have nineslice data as a quick way 
	of enabling it (instead of calling sprite_nineslice_create()
	followed by sprite_set_nineslice())
*/
