///@desc Draw our text and sprites

draw_text(50, 60, 
	"Most of the time, your 9 slice options will be set within the sprite asset.\n" + 
	"However, it is possible to change these during runtime\n" + 
	"to produce different effects on your sprites.\n\n" + 
	"Currently, our nine slice is disabled and all the sprites look ugly,\n" +
	"so click the button to enable it.\n\n" + 
	"Then, over to the right you will see our panel sprite\n" + 
	"and underneath that a scaled version.\n\n" + 
	"Hover over the blue squares to see details\n" + 
	"of the mode and click to cycle that slice through its modes.\n" + 
	"Look at the sprites below to see the changes.\n\n\n" + 
	"Press R at any time to restart the game."
);

// Draw the 3 different scales - x, y, x and y
draw_sprite_ext( sUIBackNotSliced, 0, 100, 500, 2,1,0, c_white, 1);
draw_sprite_ext( sUIBackNotSliced, 0, 500, 500, 1,2,0, c_white, 1);
draw_sprite_ext( sUIBackNotSliced, 0, 900, 500, 2,2,0, c_white, 1);

// Draw the scaling sprite
draw_sprite_ext( sUIBackNotSliced, 0, 100, 400, stretchingSpriteXscale,0.5,0, c_white, 1);

if (sprite_get_nineslice(sUIBackNotSliced).enabled)
{
	draw_sprite(sUIBack, 0, explainerX, explainerY); // Draw the unedited sprite as a reminder

	sWidth = sprite_get_width(sUIBack);
	sHeight = sprite_get_height(sUIBack);

	guideLeft = nsData.left;
	guideRight = nsData.right;
	guideTop = nsData.top;
	guideBottom = nsData.bottom;

	/*
	  The slice positions are measured inwards from the corresponding edge. So "left" 
	  is the number of pixels in from the left side of the sprite that the slice occurs, and 
	  "right" is number of pixels from the right side of the sprite that its slice occurs.
	  
	  We will now draw purple lines at these locations so we can see the slices in our demo
	*/

	draw_set_color(c_purple);
	draw_line(explainerX + guideLeft, explainerY-30, explainerX+guideLeft, explainerY+sHeight+30); //left
	draw_line(explainerX + sWidth -guideRight, explainerY-30, explainerX + sWidth -guideRight, explainerY+sHeight+30); //right
	draw_line(explainerX - 30 , explainerY+guideTop, explainerX + sWidth +30 , explainerY+guideTop); //top
	draw_line(explainerX - 30 , explainerY+sHeight-guideBottom, explainerX + sWidth +30 , explainerY+sHeight-guideBottom); //bottom
	draw_set_color(c_white);
}
