/// @desc Click events

switch(clickAction)
{
	
	case ClickActions.ca_changeroom: { room_goto(value); break; }
	
	case ClickActions.ca_enableNineSlice:
	{
		// We're hardcoding the target for getting the nineslice here, but it could be passed in as an argument in your own games
		
		// Retrieve the sprite's current nineslice data
		nsData = sprite_get_nineslice(sUIBackNotSliced);
		
		/*
		  sprite_get_nineslice() will return a struct which contains the following keys:
		  tilemode: an array of the tilemodes for each slice
		  left, right, top, bottom: slice poistions (integer), measured inwards from the corresponding edge
		  enabled: boolean for if the sprite is currently using nineslice or not
		
		  Note: if there is no current nineslice data for this sprite, then it gets 
		  created now using default values, so you can use sprite_get_nineslice()
		  on sprites you already know do NOT have nineslice data as a quick way 
		  of enabling it (instead of calling sprite_nineslice_create()
		  followed by sprite_set_nineslice())
		*/
		
		if (nsData.enabled == false) // If it's disabled, then just set it to the known value
		{
			knownData = sprite_get_nineslice(sUIBack);
			
			/*
			  We cant just set nsData = knownData, as this would create a reference
			  linking these values and so changing one would change the other, and 
			  this is not desired
			*/
			  
			nsData.enabled = knownData.enabled;
			nsData.tilemode = knownData.tilemode;
			nsData.left = knownData.left;
			nsData.right = knownData.right;
			nsData.top = knownData.top;
			nsData.bottom = knownData.bottom;
			
			buttonText = "9-Slice ON";
		}
		else //otherwise just disable it
		{		
			nsData.enabled = false;
			
			buttonText = "9-Slice OFF";
		}
		
		break;
	} // End of case ClickActions.ca_enableNineSlice
	
	case ClickActions.ca_increment: { linkedInstance.changeValue(value); break; }
		
	case ClickActions.ca_quitgame: { game_end(); break; }
		
	default: { show_debug_message("Not a valid oUIButton action"); }
	
} // End of switch()