function tilemode_string(_tilemode)
{
	switch(_tilemode)
	{
		case nineslice_stretch: return "stretch";	
		case nineslice_repeat: return "repeat";
		case nineslice_mirror: return "mirror";
		case nineslice_blank: return "blank";
		case nineslice_hide: return "hide";
		default: return "unknown";
	}
}

function switch_tilemode(_nineslice, _segment)
{
	// Doing this explicitly rather than just incrementing the value as we don't store the max tilemode as a constant (since people should never need to use it)
	var mode = _nineslice.tilemode[_segment];	
	switch(mode)
	{
		case nineslice_stretch: mode = nineslice_repeat; break;
		case nineslice_repeat: mode = nineslice_mirror; break;
		case nineslice_mirror: mode = nineslice_blank; break;
		case nineslice_blank: mode = nineslice_hide; break;
		case nineslice_hide: mode = nineslice_stretch; break;
		default: mode = nineslice_stretch; break;
	}
	
	_nineslice.tilemode[_segment] = mode;
}